Connect
List integrations connected to this project
GET
/v1/connect/integrationsAuthorization
accessKey x-access-key<token>
In: header
Query Parameters
platform?string
Value in
"twitter" | "instagram" | "youtube" | "tiktok" | "pinterest" | "linkedin" | "bluesky" | "facebook" | "threads"profileId?string
Filter to integrations belonging to this profile. Pass "null" (literal string) to filter to integrations with no profile.
q?string
Case-insensitive search across the connected account name (displayName), username, and platform user ID.
limit?integer
Page size (max 100)
Default
20Range
1 <= value <= 100offset?integer
Number of integrations to skip
Default
0Range
0 <= valuesort?string
Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://example.com/v1/connect/integrations"{
"success": true,
"total": 0,
"integrations": [
{
"id": "string",
"platform": "twitter",
"platformUserId": "string",
"username": "string",
"displayName": "string",
"profileUrl": "http://example.com",
"imageUrl": "http://example.com",
"platformMetadata": {},
"profileId": "string",
"appId": "string",
"app": {
"id": "string",
"name": "string",
"imageUrl": "string"
},
"byok": true,
"createdAt": "2019-08-24T14:15:22Z"
}
]
}